# Uses of Interface
java.nio.channels.MulticastChannel

Packages that use MulticastChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.

## Uses of MulticastChannel in java.nio.channels

Classes in java.nio.channels that implement MulticastChannel
Modifier and Type
Class
Description
`class`
`DatagramChannel`
A selectable channel for datagram-oriented sockets.
Methods in java.nio.channels that return MulticastChannel
Modifier and Type
Method
Description
`abstract MulticastChannel`
MembershipKey.`channel()`
Returns the channel for which this membership key was created.